{
  "name": "__MSG_extensionName__",
  "description": "__MSG_extensionDescription__",
  "version": "1.1.49",
  "manifest_version": 2,
  "background": {
    "page": "pages/background/background.html",
    "persistent": true
  },
  "default_locale": "en",
  "icons": {
    "16": "assets/images/icon16.png",
    "32": "assets/images/icon32.png",
    "48": "assets/images/icon48.png",
    "128": "assets/images/icon128.png"
  },
  "permissions": [
    "storage",
    "webRequest",
    "webRequestBlocking",
    "<all_urls>"
  ],
  "browser_action": {
    "default_title": "Privacy Redirect",
    "default_popup": "pages/popup/popup.html",
    "default_icon": {
      "16": "assets/images/icon16.png",
      "32": "assets/images/icon32.png",
      "48": "assets/images/icon48.png",
      "128": "assets/images/icon128.png"
    }
  },
  "content_scripts": [
    {
      "matches": [
        "*://x.com/*",
        "*://mobile.x.com/*",
        "*://twitter.com/*",
        "*://www.twitter.com/*",
        "*://mobile.twitter.com/*",
        "*://pbs.twimg.com/*",
        "*://video.twimg.com/*"
      ],
      "js": [
        "assets/javascripts/remove-twitter-sw.js"
      ],
      "run_at": "document_start"
    },
    {
      "matches": [
        "*://inv.nadeko.net/*",
        "*://inv.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion/*"
      ],
      "js": [
        "assets/javascripts/persist-invidious-prefs.js"
      ],
      "run_at": "document_start"
    }
  ],
  "options_ui": {
    "page": "pages/options/options.html",
    "open_in_tab": false
  },
  "web_accessible_resources": [
    "assets/javascripts/helpers/*"
  ],
  "browser_specific_settings": {
    "gecko": {
      "id": "{b7f9d2cd-d772-4302-8c3f-eb941af36f76}",
      "strict_min_version": "67.0"
    }
  }
}
